Projects
List projects
Get all projects for a specific organization
GET
/
projects
List projects
curl --request GET \
--url https://api.fluxend.app/projects \
--header 'Authorization: <authorization>'import requests
url = "https://api.fluxend.app/projects"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.fluxend.app/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluxend.app/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.fluxend.app/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluxend.app/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"content": [
{
"createdAt": "<string>",
"createdBy": "<string>",
"dbName": "<string>",
"description": "<string>",
"name": "<string>",
"organizationUuid": "<string>",
"status": "<string>",
"updatedAt": "<string>",
"updatedBy": "<string>",
"uuid": "<string>"
}
],
"errors": [
"<string>"
],
"metadata": "<unknown>",
"success": true
}{
"content": "null",
"errors": [
"Invalid input parameter"
],
"success": false
}{
"content": "null",
"errors": [
"Unauthorized access"
],
"success": false
}{
"content": "null",
"errors": [
"Internal server error"
],
"success": false
}Headers
Bearer Token
Query Parameters
Organization UUID
Page number for pagination
Number of items per page
Field to sort by
Sort order (asc or desc)
⌘I
List projects
